%global modulename smart-buffer

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-smart-buffer
Version:        4.0.1
Release:        1%{?dist}
Summary:        smart-buffer is a Buffer wrapper that adds automatic read & write offset tracking, string operations, data insertions, and more.

License:        MIT
URL:            https://github.com/JoshGlazebrook/smart-buffer/
Source0:        https://registry.npmjs.org/smart-buffer/-/smart-buffer-4.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
smart-buffer is a Buffer wrapper that adds automatic read & write offset tracking, string operations, data insertions, and more.

%package 4.0.1
Summary:        smart-buffer is a Buffer wrapper that adds automatic read & write offset tracking, string operations, data insertions, and more.


%description 4.0.1
smart-buffer is a Buffer wrapper that adds automatic read & write offset tracking, string operations, data insertions, and more.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr build %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr typings %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc docs
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.0.1
%doc README.md
%doc docs
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 4.0.1-1
- Package automatically generated by npm2srpm
